import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
export default {
  getFieldList(param){
    return axios.post(urls.getFieldList,param);
  },
  addFieldMatch(param){
    return axios.post(urls.addFieldMatch,param);
  },
  delFieldMatch(param){
    return axios.post(urls.delFieldMatch,param);
  },
  getQcTypes(){
    return axios.post(urls.getQcTypes);
  },
  getQCTemplist(param){ // 获取模板列表
    return axios.post(urls.getQCTemplist,param);
  },
  saveOrUpdateQCTemp(param){ //新增或修改模板
    return axios.post(urls.saveOrUpdateQCTemp,param);
  },
  delQCTemp(param){ //删除模板
    return axios.post(urls.delQCTemp,param);
  },
  getQCTempDetail(param){ //获取模板详情
    return axios.post(urls.getQCTempDetail,param);
  },
  getQCName(param){ //获取字段名称
    return axios.post(urls.getQCName,param);
  },
  getQcFlawList(param){
    return axios.post(urls.getQcFlawList,param);
  },
  getFieldDetail(param){ //获取标签详情
    return axios.post(urls.getFieldDetail,param);
  },
  getModuleTypeList(param){ //获取模块类型列表
    return axios.post(urls.getModuleTypeList,param);
  },
  getQcTypeList(param){ //获取质控类型列表
    return axios.post(urls.getQcTypeList,param);
  },
  getQcTypeDetail(param){ //获取质控类型列表
    return axios.post(urls.getQcTypeDetail,param);
  },
  addQcType(param){ //添加质控类型
    return axios.post(urls.addQcType,param);
  },
  delQcType(param){ //删除质控类型
    return axios.post(urls.delQcType,param);
  },
  getQcTypeItem(param){ //获取质控条目
    return axios.post(urls.getQcTypeItem,param);
  }
}